unit CompReg;

interface

procedure Register;

implementation

Uses DsgnIntf, Classes, Forms, Messages, SysUtils, Menus, StdCtrls, ExtCtrls,
     CompColl, WinProcs {$ifdef VER100}, LibIntf{$else}, LibMain {$endif};

type
{TComponentCollector component editor}
TComponentCollectorEditor = class(TComponentEditor)
public
  function GetVerb(Index:Integer):string; override;
end;

function TComponentCollectorEditor.GetVerb(Index:Integer):string;
begin
  if (Index=100) then
    Result:=CompLib.GetSelectionName
  else if (Index=101) then
    CompLib.GetActiveForm.SetSelection(TComponentCollector(Component).TextTag);
end;

procedure Register;
begin
  RegisterComponents('Lingscape', [TComponentCollector]);
  RegisterComponentEditor(TComponentCollector, TComponentCollectorEditor);
end;

end.

